Index: /waeup_product/trunk/Extensions/install.py
===================================================================
--- /waeup_product/trunk/Extensions/install.py	(revision 88)
+++ /waeup_product/trunk/Extensions/install.py	(revision 89)
@@ -371,6 +371,6 @@
               },
             )
-    installer.verifyPortletContainer(self.portal.sections.waeup)
-    installer.verifyPortlets(portlets, self.portal.sections.waeup)
+    installer.verifyPortletContainer(waeup)
+    installer.verifyPortlets(portlets,waeup)
 
 ###)
Index: /waeup_product/trunk/Faculty.py
===================================================================
--- /waeup_product/trunk/Faculty.py	(revision 88)
+++ /waeup_product/trunk/Faculty.py	(revision 89)
@@ -40,35 +40,35 @@
     'allowed_content_types': ('Department',),
     'allow_discussion': False,
-    'actions': (
-         {'id': 'view',
-          'name': 'action_view',
-          'action': 'string:${object_url}/faculty_index_html',
-          #'action': 'string:${object_url}/cpsdocument_view',
-          'condition': '',
-          'permission': ('View',),
-          'category': 'object',
-          'visible': True,},
-         {'id': 'new_content',
-          'name': 'Add Data',
-          'action': 'string:${object_url}/folder_factories',
-          'condition': "python:1 or len(object.contentItems()) == 0 ",
-          'permission': ('Modify portal content',),
-          'category': 'object',
-          'visible': True,},
-         {'id': 'contents',
-          'name': 'action_folder_contents',
-          'action': 'string:${object_url}/folder_contents',
-          'condition': "python:1 or object.getTypeInfo().cps_proxy_type != 'document'",
-          'permission': ('Modify portal content',),
-          'category': 'object',
-          'visible': True,},
-         {'id': 'edit',
-          'name': 'action_edit',
-          'action': 'string:${object_url}/cpsdocument_edit_form',
-          'condition': '',
-          'permission': ('Modify portal content',),
-          'category': 'object',
-          'visible': True,},
-    )
+##    'actions': (
+##         {'id': 'view',
+##          'name': 'action_view',
+##          'action': 'string:${object_url}/faculty_index_html',
+##          #'action': 'string:${object_url}/cpsdocument_view',
+##          'condition': '',
+##          'permission': ('View',),
+##          'category': 'object',
+##          'visible': True,},
+##         {'id': 'new_content',
+##          'name': 'Add Data',
+##          'action': 'string:${object_url}/folder_factories',
+##          'condition': "python:1 or len(object.contentItems()) == 0 ",
+##          'permission': ('Modify portal content',),
+##          'category': 'object',
+##          'visible': True,},
+##         {'id': 'contents',
+##          'name': 'action_folder_contents',
+##          'action': 'string:${object_url}/folder_contents',
+##          'condition': "python:1 or object.getTypeInfo().cps_proxy_type != 'document'",
+##          'permission': ('Modify portal content',),
+##          'category': 'object',
+##          'visible': True,},
+##         {'id': 'edit',
+##          'name': 'action_edit',
+##          'action': 'string:${object_url}/cpsdocument_edit_form',
+##          'condition': '',
+##          'permission': ('Modify portal content',),
+##          'category': 'object',
+##          'visible': True,},
+##    )
 }
 ###)
@@ -101,34 +101,34 @@
     'allowed_content_types': ('Course',),
     'allow_discussion': False,
-    'actions': (
-         {'id': 'view',
-          'name': 'action_view',
-          'action': 'string:${object_url}/department_index_html',
-          'condition': '',
-          'permission': ('View',),
-          'category': 'object',
-          'visible': True,},
-         {'id': 'new_content',
-          'name': 'Add Data',
-          'action': 'string:${object_url}/folder_factories',
-          'condition': "python:1 or len(object.contentItems()) == 0 ",
-          'permission': ('Modify portal content',),
-          'category': 'object',
-          'visible': True,},
-         {'id': 'contents',
-          'name': 'action_folder_contents',
-          'action': 'string:${object_url}/folder_contents',
-          'condition': "python:1 or object.getTypeInfo().cps_proxy_type != 'document'",
-          'permission': ('Modify portal content',),
-          'category': 'object',
-          'visible': True,},
-         {'id': 'edit',
-          'name': 'action_edit',
-          'action': 'string:${object_url}/cpsdocument_edit_form',
-          'condition': '',
-          'permission': ('Modify portal content',),
-          'category': 'object',
-          'visible': True,},
-    )
+##    'actions': (
+##         {'id': 'view',
+##          'name': 'action_view',
+##          'action': 'string:${object_url}/department_index_html',
+##          'condition': '',
+##          'permission': ('View',),
+##          'category': 'object',
+##          'visible': True,},
+##         {'id': 'new_content',
+##          'name': 'Add Data',
+##          'action': 'string:${object_url}/folder_factories',
+##          'condition': "python:1 or len(object.contentItems()) == 0 ",
+##          'permission': ('Modify portal content',),
+##          'category': 'object',
+##          'visible': True,},
+##         {'id': 'contents',
+##          'name': 'action_folder_contents',
+##          'action': 'string:${object_url}/folder_contents',
+##          'condition': "python:1 or object.getTypeInfo().cps_proxy_type != 'document'",
+##          'permission': ('Modify portal content',),
+##          'category': 'object',
+##          'visible': True,},
+##         {'id': 'edit',
+##          'name': 'action_edit',
+##          'action': 'string:${object_url}/cpsdocument_edit_form',
+##          'condition': '',
+##          'permission': ('Modify portal content',),
+##          'category': 'object',
+##          'visible': True,},
+##    )
 }
 ###)
@@ -161,34 +161,34 @@
     'allowed_content_types': (),
     'allow_discussion': False,
-    'actions': (
-         {'id': 'view',
-          'name': 'action_view',
-          'action': 'string:${object_url}/course_index_html',
-          'condition': '',
-          'permission': ('View',),
-          'category': 'object',
-          'visible': True,},
-         {'id': 'new_content',
-          'name': 'Add Data',
-          'action': 'string:${object_url}/folder_factories',
-          'condition': "python:1 or len(object.contentItems()) == 0 ",
-          'permission': ('Modify portal content',),
-          'category': 'object',
-          'visible': True,},
-         {'id': 'contents',
-          'name': 'action_folder_contents',
-          'action': 'string:${object_url}/folder_contents',
-          'condition': "python:1 or object.getTypeInfo().cps_proxy_type != 'document'",
-          'permission': ('Modify portal content',),
-          'category': 'object',
-          'visible': True,},
-         {'id': 'edit',
-          'name': 'action_edit',
-          'action': 'string:${object_url}/cpsdocument_edit_form',
-          'condition': '',
-          'permission': ('Modify portal content',),
-          'category': 'object',
-          'visible': True,},
-    )
+##    'actions': (
+##         {'id': 'view',
+##          'name': 'action_view',
+##          'action': 'string:${object_url}/course_index_html',
+##          'condition': '',
+##          'permission': ('View',),
+##          'category': 'object',
+##          'visible': True,},
+##         {'id': 'new_content',
+##          'name': 'Add Data',
+##          'action': 'string:${object_url}/folder_factories',
+##          'condition': "python:1 or len(object.contentItems()) == 0 ",
+##          'permission': ('Modify portal content',),
+##          'category': 'object',
+##          'visible': True,},
+##         {'id': 'contents',
+##          'name': 'action_folder_contents',
+##          'action': 'string:${object_url}/folder_contents',
+##          'condition': "python:1 or object.getTypeInfo().cps_proxy_type != 'document'",
+##          'permission': ('Modify portal content',),
+##          'category': 'object',
+##          'visible': True,},
+##         {'id': 'edit',
+##          'name': 'action_edit',
+##          'action': 'string:${object_url}/cpsdocument_edit_form',
+##          'condition': '',
+##          'permission': ('Modify portal content',),
+##          'category': 'object',
+##          'visible': True,},
+##    )
 }
 ###)
Index: /waeup_product/trunk/Students.py
===================================================================
--- /waeup_product/trunk/Students.py	(revision 88)
+++ /waeup_product/trunk/Students.py	(revision 89)
@@ -39,35 +39,35 @@
     'allowed_content_types': ('Jamb','StudentPersonal'),
     'allow_discussion': False,
-    'actions': (
-         {'id': 'view',
-          'name': 'action_view',
-          'action': 'string:${object_url}/student_index_html',
-          #'action': 'string:${object_url}/cpsdocument_view',
-          'condition': '',
-          'permission': ('View',),
-          'category': 'object',
-          'visible': True,},
-         {'id': 'new_content',
-          'name': 'Add Data',
-          'action': 'string:${object_url}/folder_factories',
-          'condition': "python:1 or len(object.contentItems()) == 0 ",
-          'permission': ('Modify portal content',),
-          'category': 'object',
-          'visible': True,},
-         {'id': 'contents',
-          'name': 'action_folder_contents',
-          'action': 'string:${object_url}/folder_contents',
-          'condition': "python:1 or object.getTypeInfo().cps_proxy_type != 'document'",
-          'permission': ('Modify portal content',),
-          'category': 'object',
-          'visible': True,},
-         {'id': 'edit',
-          'name': 'action_edit',
-          'action': 'string:${object_url}/cpsdocument_edit_form',
-          'condition': '',
-          'permission': ('Modify portal content',),
-          'category': 'object',
-          'visible': True,},
-    )
+##    'actions': (
+##         {'id': 'view',
+##          'name': 'action_view',
+##          'action': 'string:${object_url}/student_index_html',
+##          #'action': 'string:${object_url}/cpsdocument_view',
+##          'condition': '',
+##          'permission': ('View',),
+##          'category': 'object',
+##          'visible': True,},
+##         {'id': 'new_content',
+##          'name': 'Add Data',
+##          'action': 'string:${object_url}/folder_factories',
+##          'condition': "python:1 or len(object.contentItems()) == 0 ",
+##          'permission': ('Modify portal content',),
+##          'category': 'object',
+##          'visible': True,},
+##         {'id': 'contents',
+##          'name': 'action_folder_contents',
+##          'action': 'string:${object_url}/folder_contents',
+##          'condition': "python:1 or object.getTypeInfo().cps_proxy_type != 'document'",
+##          'permission': ('Modify portal content',),
+##          'category': 'object',
+##          'visible': True,},
+##         {'id': 'edit',
+##          'name': 'action_edit',
+##          'action': 'string:${object_url}/cpsdocument_edit_form',
+##          'condition': '',
+##          'permission': ('Modify portal content',),
+##          'category': 'object',
+##          'visible': True,},
+##    )
 }
 
@@ -81,9 +81,4 @@
     portal_type = meta_type
     security = ClassSecurityInfo()
-    
-    security.declarePublic("test")
-    def test(self):
-        """test"""
-        return self.REQUEST
     
 InitializeClass(Student)
@@ -95,2 +90,125 @@
 
 ###)
+studentpersonal_fti = { ###(
+    'title': 'WAeUP StudentPersonal',
+    'description': '',
+    'content_icon': 'student.gif',
+    'content_meta_type': 'StudentPersonal',
+    'factory': 'addStudent',
+    'immediate_view': 'student_personal_index_html',
+    'global_allow': True,
+    'filter_content_types': True,
+    'allowed_content_types': (),
+    'allow_discussion': False,
+##    'actions': (
+##         {'id': 'view',
+##          'name': 'action_view',
+##          'action': 'string:${object_url}/student_index_html',
+##          #'action': 'string:${object_url}/cpsdocument_view',
+##          'condition': '',
+##          'permission': ('View',),
+##          'category': 'object',
+##          'visible': True,},
+##         {'id': 'new_content',
+##          'name': 'Add Data',
+##          'action': 'string:${object_url}/folder_factories',
+##          'condition': "python:1 or len(object.contentItems()) == 0 ",
+##          'permission': ('Modify portal content',),
+##          'category': 'object',
+##          'visible': True,},
+##         {'id': 'contents',
+##          'name': 'action_folder_contents',
+##          'action': 'string:${object_url}/folder_contents',
+##          'condition': "python:1 or object.getTypeInfo().cps_proxy_type != 'document'",
+##          'permission': ('Modify portal content',),
+##          'category': 'object',
+##          'visible': True,},
+##         {'id': 'edit',
+##          'name': 'action_edit',
+##          'action': 'string:${object_url}/cpsdocument_edit_form',
+##          'condition': '',
+##          'permission': ('Modify portal content',),
+##          'category': 'object',
+##          'visible': True,},
+##    )
+}
+
+###)
+
+class StudentPersonal(CPSDocument): ###(
+    """
+    WAeUP Student container for the various student data 
+    """
+    meta_type = 'StudentPersonal'
+    portal_type = meta_type
+    security = ClassSecurityInfo()
+    
+InitializeClass(StudentPersonal)
+
+def addStudentPersonal(container, id, REQUEST=None, **kw):
+    """Add a Students personal data."""
+    ob = StudentPersonal(id, **kw)
+    return CPSBase_adder(container, ob, REQUEST=REQUEST)
+
+###)
+
+jamb_fti = { ###(
+    'title': 'WAeUP Jamb',
+    'description': '',
+    'content_icon': '',
+    'content_meta_type': 'Jamb',
+    'factory': 'addJamb',
+    'immediate_view': 'cpsdocument_view',
+    'global_allow': True,
+    'filter_content_types': True,
+    'allowed_content_types': ('Course',),
+    'allow_discussion': False,
+##    'actions': (
+##         {'id': 'view',
+##          'name': 'action_view',
+##          'action': 'string:${object_url}/jamb_index_html',
+##          'condition': '',
+##          'permission': ('View',),
+##          'category': 'object',
+##          'visible': True,},
+##         {'id': 'new_content',
+##          'name': 'Add Data',
+##          'action': 'string:${object_url}/folder_factories',
+##          'condition': "python:1 or len(object.contentItems()) == 0 ",
+##          'permission': ('Modify portal content',),
+##          'category': 'object',
+##          'visible': True,},
+##         {'id': 'contents',
+##          'name': 'action_folder_contents',
+##          'action': 'string:${object_url}/folder_contents',
+##          'condition': "python:1 or object.getTypeInfo().cps_proxy_type != 'document'",
+##          'permission': ('Modify portal content',),
+##          'category': 'object',
+##          'visible': True,},
+##         {'id': 'edit',
+##          'name': 'action_edit',
+##          'action': 'string:${object_url}/cpsdocument_edit_form',
+##          'condition': '',
+##          'permission': ('Modify portal content',),
+##          'category': 'object',
+##          'visible': True,},
+##    )
+}
+###)
+
+class Jamb(CPSDocument): ###(
+    """
+    WAeUP Jamb containing the courses and students
+    """
+    meta_type = 'Jamb'
+    portal_type = meta_type
+    security = ClassSecurityInfo()
+    
+InitializeClass(Jamb)
+
+def addJamb(container, id, REQUEST=None, **kw):
+    """Add a Jamb."""
+    ob = Jamb(id, **kw)
+    return CPSBase_adder(container, ob, REQUEST=REQUEST)
+###)
+
Index: /waeup_product/trunk/Workflows/WAeUPWorkflow.py
===================================================================
--- /waeup_product/trunk/Workflows/WAeUPWorkflow.py	(revision 88)
+++ /waeup_product/trunk/Workflows/WAeUPWorkflow.py	(revision 89)
@@ -41,4 +41,5 @@
     for p in (View,
               ModifyPortalContent,
+              
              ):
         wf.addManagedPermission(p)
@@ -116,5 +117,5 @@
                     actbox_name='', actbox_category='workflow', actbox_url='',
                     props={'guard_permissions':'',
-                           'guard_roles':'Manager; SectionManager',
+                           'guard_roles':'Manager; StudentManager',
                            'guard_expr':''},)
 
@@ -134,5 +135,5 @@
                     actbox_url='',
                     props={'guard_permissions':'',
-                           'guard_roles':'Manager; SectionManager; SectionReviewer; SectionReader',
+                           'guard_roles':'Manager; StudentManager',
                            'guard_expr':''},)
 
@@ -153,5 +154,5 @@
                     actbox_url='',
                     props={'guard_permissions':'',
-                           'guard_roles':'Manager; SectionManager',
+                           'guard_roles':'Manager; StudentManager',
                            'guard_expr':''},)
 
Index: /waeup_product/trunk/__init__.py
===================================================================
--- /waeup_product/trunk/__init__.py	(revision 88)
+++ /waeup_product/trunk/__init__.py	(revision 89)
@@ -12,4 +12,6 @@
 
 fti = (Students.student_fti,
+       Students.studentpersonal_fti,
+       Students.jamb_fti,
        Faculty.faculty_fti,
        Faculty.department_fti,
@@ -20,4 +22,6 @@
                   Students.StudentsFolder,
                   Students.Student,
+                  Students.StudentPersonal,
+                  Students.Jamb,
                   Faculty.Faculty,
                   Faculty.Department,
@@ -28,4 +32,6 @@
                        Students.addStudentsFolder,
                        Students.addStudent,
+                       Students.addStudentPersonal,
+                       Students.addJamb,
                        Faculty.addFaculty,
                        Faculty.addDepartment,
Index: /waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py
===================================================================
--- /waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 88)
+++ /waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 89)
@@ -32,4 +32,5 @@
                  'name': 'action_view',
                  'action': 'university_view',
+                 'condition': "python:'Manager' in member.getRoles()",
                  'permissions': (View,)},
                 {'id': 'addFaculty',
@@ -40,4 +41,5 @@
                  'name': 'action_folder_contents',
                  'action': 'folder_contents',
+                 'condition': "python:'Manager' in member.getRoles()",
                  'permissions': (ModifyPortalContent,UniversityManage,)},
                 {'id': 'edit',
@@ -45,13 +47,15 @@
                  'action': 'cpsdocument_edit_form',
                  #'action': 'cpsdocument_edit_form',
+                 'condition': "python:'Manager' in member.getRoles()",
                  'permissions': (ModifyPortalContent,UniversityManage,)},
                 {'id': 'metadata',
                  'name': 'action_metadata',
                  'action': 'cpsdocument_metadata',
-                 'condition': 'not:portal/portal_membership/isAnonymousUser',
+                 'condition': "python:'Manager' in member.getRoles()",
                  'permissions': (ModifyPortalContent,)},
                 {'id': 'localroles',
                  'name': 'action_local_roles',
                  'action': 'folder_localrole_form',
+                 'condition': 'not:portal/portal_membership/isAnonymousUser',
                  'permissions': (ChangePermissions,)},
                  )
@@ -82,4 +86,5 @@
                  'name': 'Students',
                  'action': 'students_folder_view',
+                 'condition': "python:'Manager' in member.getRoles()",
                  'permissions': (View,)},
                 {
@@ -87,4 +92,5 @@
                 'name'      : 'Add Content',
                 'action'    : 'string:${object/absolute_url}/folder_factories',
+                 'condition': "python:'Manager' in member.getRoles()",
                 'permissions': (StudentManage,)},
                 {
@@ -134,5 +140,5 @@
     'cps_section_wf': 'waeup_section_wf',
     'use_content_status_history': 0,
-    'actions_add': (
+    'actions': (
          {'id': 'view',
           'name': 'action_view',
@@ -143,4 +149,9 @@
           'category': 'object',
           'visible': True,},
+         {'id': 'metadata',
+          'name': 'action_metadata',
+          'action': 'cpsdocument_metadata',
+          'condition': "python:'Manager' in member.getRoles()",
+          'permissions': (UniversityManage,)},
           )
 }
@@ -223,13 +234,28 @@
     'cps_workspace_wf': 'workspace_content_wf',
     'cps_section_wf': 'section_content_wf',
-    'actions_add': (
+    'actions': (
          {'id': 'view',
           'name': 'action_view',
           'action': 'string:${object_url}/jamb_index_html',
-          #'action': 'string:${object_url}/cpsdocument_view',
-          'condition': '',
-          'permission': ('View',),
-          'category': 'object',
-          'visible': True,},
+          'condition': '',
+          'permission': (View,),
+          'visible': True,},
+         {'id': 'edit',
+          'name': 'action_edit',
+          'action': 'string:${object_url}/waeup_edit_form',
+          'condition': '',
+          'permission': (ModifyPortalContent,StudentManage),
+          },
+          {
+          'id'        : 'add_content',
+          'name'      : 'Add Content',
+          'action'    : 'string:${object/absolute_url}/folder_factories',
+          'condition': "python:'Manager' in member.getRoles()",
+          'permissions': (StudentManage,)},
+         {'id': 'metadata',
+          'name': 'action_metadata',
+          'action': 'cpsdocument_metadata',
+          'condition': "python:'Manager' in member.getRoles()",
+          'permissions': (UniversityManage,)},
           )
 }
@@ -241,7 +267,7 @@
     'content_icon': '',
     'content_meta_type': 'CPS Document',
-    'product': 'CPSDocument',
-    'factory': 'addCPSDocument',
-    'immediate_view': 'cpsdocument_view',
+    'product': 'WAeUP',
+    'factory': 'addStudentPersonal',
+    'immediate_view': 'student_personal_index_html',
     'global_allow': True,
     'filter_content_types': True,
@@ -259,5 +285,5 @@
     'cps_workspace_wf': 'workspace_content_wf',
     'cps_section_wf': 'section_content_wf',
-    'actions_add': (
+    'actions': (
          {'id': 'view',
           'name': 'action_view',
@@ -275,4 +301,9 @@
           'category': 'object',
           'visible': True,},
+         {'id': 'metadata',
+          'name': 'action_metadata',
+          'action': 'cpsdocument_metadata',
+          'condition': "python:'Manager' in member.getRoles()",
+          'permissions': (UniversityManage,)},
           )
 }
@@ -300,5 +331,5 @@
     'cps_section_wf': 'waeup_section_wf',
     'use_content_status_history': 0,
-    'actions_add': (
+    'actions': (
          {'id': 'view',
           'name': 'action_view',
@@ -340,5 +371,5 @@
     'cps_section_wf': 'waeup_section_wf',
     'use_content_status_history': 0,
-    'actions_add': (
+    'actions': (
          {'id': 'view',
           'name': 'action_view',
@@ -380,5 +411,5 @@
     'cps_section_wf': 'waeup_section_wf',
     'use_content_status_history': 0,
-    'actions_add': (
+    'actions': (
          {'id': 'view',
           'name': 'action_view',
Index: /waeup_product/trunk/skins/waeup_default/portlet_main_navigation.pt
===================================================================
--- /waeup_product/trunk/skins/waeup_default/portlet_main_navigation.pt	(revision 88)
+++ /waeup_product/trunk/skins/waeup_default/portlet_main_navigation.pt	(revision 89)
@@ -4,10 +4,10 @@
                    folder_id python:str(user)"
                    >
-  <tal:block condition="python: 'Students' in user.getGroups()">
+  <tal:block condition="python: 0 and 'Students' in user.getGroups()">
     <a href="" i18n:translate=""
        tal:attributes="href string:${here/portal_url}/sections/waeup/students/${folder_id}"
        tal:content="string: Personal area for JAMB Registration ${folder_id}"></a>
   </tal:block>
-  <tal:block condition="python: 'StudentManager' in user.getGroups()">
+  <tal:block condition="python: 1">
     <a href="" i18n:translate=""
        tal:attributes="href string:${here/portal_url}/sections/waeup/students"
Index: /waeup_product/trunk/skins/waeup_default/university_view.py
===================================================================
--- /waeup_product/trunk/skins/waeup_default/university_view.py	(revision 88)
+++ /waeup_product/trunk/skins/waeup_default/university_view.py	(revision 89)
@@ -6,11 +6,7 @@
 
 member = context.portal_membership.getAuthenticatedMember()
-#return context.folder_view()
+
 if member:
     if 'Manager' in member.getRoles():
         return context.folder_view()
-    elif 'Students' in member.getGroups():
-        return context.students.students_folder_view_student(psm=psm,groups=groups)
-    elif 'StudentManager' in member.getGroups():
-        return context.waeup_view_manager(psm=psm,groups=groups)
-return context.students.students_folder_view_anon(psm=psm,groups=groups)
+return context.university_view_all(psm=psm)
Index: /waeup_product/trunk/skins/waeup_default/university_view_all.pt
===================================================================
--- /waeup_product/trunk/skins/waeup_default/university_view_all.pt	(revision 89)
+++ /waeup_product/trunk/skins/waeup_default/university_view_all.pt	(revision 89)
@@ -0,0 +1,24 @@
+<html metal:use-macro="here/content_lib_master/macros/master">
+
+  <metal:block fill-slot="head_slot">
+    <tal:block tal:define="student here/getContent">
+    </tal:block>
+  </metal:block>
+
+  <metal:block fill-slot="css_slot">
+    <link rel="Stylesheet" type="text/css" href=""
+          tal:attributes="href string:${base_url}student.css" />
+  </metal:block>
+  <metal:block fill-slot="header">
+  </metal:block>
+
+  <metal:block fill-slot="main"
+               tal:define="student_folder here/getContent;
+               items here/contentValues"
+               >
+    <a href="" tal:attributes="href string:${context/absolute_url}/admission_status">Admission List UME</a>.<br />
+    <a href="" tal:attributes="href string:${context/absolute_url}/check_admission">Admission Request (JAMB canditates only)</a>.
+  </metal:block>
+  <metal:block fill-slot="sub">
+  </metal:block>
+</html>
Index: /waeup_product/trunk/skins/waeup_faculty/course_index_html.py
===================================================================
--- /waeup_product/trunk/skins/waeup_faculty/course_index_html.py	(revision 88)
+++ /waeup_product/trunk/skins/waeup_faculty/course_index_html.py	(revision 89)
@@ -5,11 +5,10 @@
 """Default view for the Student."""
 member = context.portal_membership.getAuthenticatedMember()
+if member:
+    roles = member.getRoles()
+    if 'Manager' in roles:
+        return context.cpsdocument_view()
+    elif 'StudentManager' in roles:
+        return context.course_view_manager()
+return context.course_view_student()
 
-#return context.student_view_manager()
-if member:
-    if 'Manager' in member.getRoles():
-        return context.cpsdocument_view()
-    elif 'StudentManager' in member.getGroups():
-        return context.course_view_manager()
-    elif 'Students' in member.getGroups():
-        return context.course_view_student()
Index: /waeup_product/trunk/skins/waeup_faculty/department_index_html.py
===================================================================
--- /waeup_product/trunk/skins/waeup_faculty/department_index_html.py	(revision 88)
+++ /waeup_product/trunk/skins/waeup_faculty/department_index_html.py	(revision 89)
@@ -5,10 +5,9 @@
 """Default view for a Faculty."""
 member = context.portal_membership.getAuthenticatedMember()
-
-#return context.student_view_manager()
 if member:
-    if 'StudentManager' in member.getGroups():
-    #if 'Manager' in member.getRoles():
+    roles = member.getRoles()
+    if 'Manager' in roles:
+        return context.folder_view()
+    elif 'StudentManager' in roles:
         return context.department_view_manager()
-    elif 'Students' in member.getGroups():
-        return context.department_view_student()
+return context.department_view_student()
Index: /waeup_product/trunk/skins/waeup_faculty/department_index_html.py~
===================================================================
--- /waeup_product/trunk/skins/waeup_faculty/department_index_html.py~	(revision 88)
+++ /waeup_product/trunk/skins/waeup_faculty/department_index_html.py~	(revision 89)
@@ -1,5 +1,5 @@
 ##parameters=post_id=None, REQUEST=None
 
-# $Id: department_index_html.py 80 2005-10-22 13:43:45Z joachim $
+# $Id: department_index_html.py 84 2005-10-25 16:18:40Z joachim $
 
 """Default view for a Faculty."""
@@ -8,5 +8,6 @@
 #return context.student_view_manager()
 if member:
-    if 'Manager' in member.getRoles():
+    if 'StudentManager' in member.getGroups():
+    #if 'Manager' in member.getRoles():
         return context.department_view_manager()
     elif 'Students' in member.getGroups():
Index: /waeup_product/trunk/skins/waeup_faculty/faculty_index_html.py
===================================================================
--- /waeup_product/trunk/skins/waeup_faculty/faculty_index_html.py	(revision 88)
+++ /waeup_product/trunk/skins/waeup_faculty/faculty_index_html.py	(revision 89)
@@ -6,8 +6,10 @@
 member = context.portal_membership.getAuthenticatedMember()
 
-#return context.student_view_manager()
-#if 'Manager' in member.getRoles():
-if 'StudentManager' in member.getGroups():
-    return context.faculty_view_manager()
-elif 'Students' in member.getGroups():
-    return context.faculty_view_student()
+member = context.portal_membership.getAuthenticatedMember()
+if member:
+    roles = member.getRoles()
+    if 'Manager' in roles:
+        return context.folder_view()
+    elif 'StudentManager' in roles:
+        return context.faculty_view_manager()
+return context.faculty_view_student()
Index: /waeup_product/trunk/skins/waeup_student/create_jamb.py
===================================================================
--- /waeup_product/trunk/skins/waeup_student/create_jamb.py	(revision 88)
+++ /waeup_product/trunk/skins/waeup_student/create_jamb.py	(revision 89)
@@ -52,14 +52,14 @@
     noCPSMember = False
     try:
-        pr.addMember(s_id, 'UnSeT',roles=('Member','CPSMember'))
+        pr.addMember(s_id, 'UnSeT',roles=('Member','CPSMember','Student'))
     except:
         noCPSMember = True
     if noCPSMember:
         pr.addMember(s_id, 'UnSeT',roles=('Member',))
-    groups = context.portal_directories.groups
-    gm = list(groups.getEntry('Students')['members'])
-    gm.extend((s_id,))
-    groups.editEntry({'group': 'Students', 
-                      'members': gm})  
+##    groups = context.portal_directories.groups
+##    gm = list(groups.getEntry('Students')['members'])
+##    gm.extend((s_id,))
+##    groups.editEntry({'group': 'Students', 
+##                      'members': gm})  
     return context.students_folder_view_manager(psm=psm)
 ##    return context.create_jamb_form(rendered = res,
Index: /waeup_product/trunk/skins/waeup_student/jamb_index_html.py
===================================================================
--- /waeup_product/trunk/skins/waeup_student/jamb_index_html.py	(revision 88)
+++ /waeup_product/trunk/skins/waeup_student/jamb_index_html.py	(revision 89)
@@ -7,6 +7,9 @@
 
 #return context.student_view_manager()
-if 'StudentManager' in member.getGroups():
-    return context.jamb_view_manager()
-elif 'Students' in member.getGroups():
-    return context.jamb_view_student()
+if member:
+    roles = member.getRoles()
+    if 'Manager' in roles:
+        return context.cpsdocument_view()
+    elif 'StudentManager' in roles:
+        return context.jamb_view_manager()
+return context.jamb_view_student()
Index: eup_product/trunk/skins/waeup_student/student_folder_view_all.pt
===================================================================
--- /waeup_product/trunk/skins/waeup_student/student_folder_view_all.pt	(revision 88)
+++ 	(revision )
@@ -1,27 +1,0 @@
-<html metal:use-macro="here/content_lib_master/macros/master">
-
-  <metal:block fill-slot="head_slot">
-    <tal:block tal:define="student here/getContent">
-    </tal:block>
-  </metal:block>
-
-  <metal:block fill-slot="css_slot">
-    <link rel="Stylesheet" type="text/css" href=""
-          tal:attributes="href string:${base_url}student.css" />
-  </metal:block>
-  <metal:block fill-slot="header">
-  </metal:block>
-
-  <metal:block fill-slot="main"
-               tal:define="student_folder here/getContent;
-               items here/contentValues"
-               >
-    <span tal:condition="python: mtool.isAnonymousUser()"> 
-      Please login or 
-      <br /><a href="" tal:attributes="href string:${context/absolute_url}/admission_status">check you Jambadmission</a>.
-      <br /><a href="" tal:attributes="href string:${context/absolute_url}/check_admission">check you Jambadmission</a>.
-    </span>
-  </metal:block>
-  <metal:block fill-slot="sub">
-  </metal:block>
-</html>
Index: /waeup_product/trunk/skins/waeup_student/student_index_html.py
===================================================================
--- /waeup_product/trunk/skins/waeup_student/student_index_html.py	(revision 88)
+++ /waeup_product/trunk/skins/waeup_student/student_index_html.py	(revision 89)
@@ -8,8 +8,8 @@
 #return context.student_view_manager()
 if member:
-    if 'Manager' in member.getRoles():
+    roles = member.getRoles()
+    if 'Manager' in roles:
         return context.folder_view()
-    elif 'StudentManager' in member.getGroups():
+    elif 'StudentManager' in roles:
         return context.student_view_manager()
-    elif 'Students' in member.getGroups():
-        return context.student_view_student()
+return context.student_view_student()
Index: /waeup_product/trunk/skins/waeup_student/student_personal_index_html.py
===================================================================
--- /waeup_product/trunk/skins/waeup_student/student_personal_index_html.py	(revision 88)
+++ /waeup_product/trunk/skins/waeup_student/student_personal_index_html.py	(revision 89)
@@ -7,6 +7,9 @@
 
 #return context.student_view_manager()
-if 'StudentManager' in member.getGroups():
-    return context.student_personal_view_manager()
-elif 'Students' in member.getGroups():
-    return context.student_personal_view_student()
+if member:
+    roles = member.getRoles()
+    if 'Manager' in roles:
+        return context.cpsdocument_view()
+    elif 'StudentManager' in roles:
+        return context.student_personal_view_manager()
+return context.student_personal_view_student()
Index: /waeup_product/trunk/skins/waeup_student/students_folder_view.py
===================================================================
--- /waeup_product/trunk/skins/waeup_student/students_folder_view.py	(revision 88)
+++ /waeup_product/trunk/skins/waeup_student/students_folder_view.py	(revision 89)
@@ -9,5 +9,10 @@
 member = context.portal_membership.getAuthenticatedMember()
 if member:
-    if 'Manager' in member.getRoles():
+    roles = member.getRoles()
+    if 'Manager' in roles:
         return context.folder_view()
+    elif 'StudentManager' in roles:
+        return context.students_folder_view_manager(psm=psm)
+    elif 'Student' in roles:
+        return context.students_folder_view_student(psm=psm)
 return context.students_folder_view_all(psm=psm)
Index: /waeup_product/trunk/skins/waeup_student/students_folder_view_all.pt
===================================================================
--- /waeup_product/trunk/skins/waeup_student/students_folder_view_all.pt	(revision 89)
+++ /waeup_product/trunk/skins/waeup_student/students_folder_view_all.pt	(revision 89)
@@ -0,0 +1,27 @@
+<html metal:use-macro="here/content_lib_master/macros/master">
+
+  <metal:block fill-slot="head_slot">
+    <tal:block tal:define="student here/getContent">
+    </tal:block>
+  </metal:block>
+
+  <metal:block fill-slot="css_slot">
+    <link rel="Stylesheet" type="text/css" href=""
+          tal:attributes="href string:${base_url}student.css" />
+  </metal:block>
+  <metal:block fill-slot="header">
+  </metal:block>
+
+  <metal:block fill-slot="main"
+               tal:define="student_folder here/getContent;
+               items here/contentValues"
+               >
+    <span tal:condition="python: mtool.isAnonymousUser()"> 
+      Please login or 
+      <br /><a href="" tal:attributes="href string:${context/absolute_url}/admission_status">check you Jambadmission</a>.
+      <br /><a href="" tal:attributes="href string:${context/absolute_url}/check_admission">check you Jambadmission</a>.
+    </span>
+  </metal:block>
+  <metal:block fill-slot="sub">
+  </metal:block>
+</html>
